<div class="card" style="margin: 0px 0px 0px 60px; ">
  <i class="pi pi-search"></i>
  <input matInput type="text" placeholder="Buscar..." [(ngModel)]="nombreAbuscar" />
  <button (click)="searchPokemon(nombreAbuscar)" id="botonBuscador">Buscar</button>
</div>

<!-- <div class="" *ngIf="listPokemons.length>0 "> -->
<!-- contenedor que nos ayuda dibujar nuestros pokemones a paginar -->
<div class="container1">
  <div id="lineadoPokemones" [class]="pokemon['detalle']['types']['0']['type']['name']"
    *ngFor="let pokemon of listPokemons">
    <div ng-click="showMePokeDetalle(pokemon);" style="position: relative;">
      <button mat-flat-button style=" width: 100%;height: 100%; position: absolute; left: 0%;"
        (click)="showMePokeDetalle(pokemon)"></button>
      <span>
        <img #front src="{{pokemon['detalle']['sprites']['front_default']}}">
      </span>
      <span><b>#</b> {{pokemon['detalle']['id']}}</span>
      <span><b></b> {{pokemon['name']}}</span>
    </div>
  </div>
  <div class="buttonsContainer" style="background-color: red;">
    <div style="width: 43%;  text-align: -webkit-left;">
      <button mat-stroked-button (click)="anteriorPag()"
        style="background-color: #688effe2; color: white; font-weight: bold;">&nbsp;&nbsp; <
          Atras&nbsp;&nbsp;&nbsp;</button>
    </div>
    <div style="width: 43%;  text-align: -webkit-right;">
      <button mat-stroked-button (click)="siguientePag()"
        style="background-color: #688effe2; color: white; font-weight: bold;">&nbsp;Siguiente > </button>
    </div>
  </div>
</div>
<!-- </div> -->

<!-- contenedor que nos ayuda dibujar nuestros pokemon individual -->
<div class="" *ngIf="pokemonSeleccionado!= null">
  <div class="container2">
    <div id="lineadoPokemonDetalle" [class]="pokemonSeleccionado['detalle']['types']['0']['type']['name']">
      <span>
        <img #front src="{{pokemonSeleccionado['detalle']['sprites']['front_default']}}">
      </span>
      <div style="text-align: center;">
        <span><b>#</b> {{pokemonSeleccionado['detalle']['id']}}</span>
        <span><b></b> {{pokemonSeleccionado['name']}}</span>
      </div>
      <div style="text-align: left;">
        <span><b>Types</b> <br> <b *ngFor="let type of pokemonSeleccionado['detalle']['types']"
            style=" font-weight:normal"> {{type['type']['name']}},
          </b></span>
        <br>
        <span><b>Peso</b> <br> {{pokemonSeleccionado['detalle']['weight']}} kg</span>
        <br>
        <span><b>Sprites</b> <br>

          <b style=" font-weight:normal;  ">
            <img class="imgRedonda" *ngIf="pokemonSeleccionado['detalle']['sprites']['back_default']!= null"
              src="{{pokemonSeleccionado['detalle']['sprites']['back_default']}}">
            <img class="imgRedonda" *ngIf="pokemonSeleccionado['detalle']['sprites']['back_female']!= null"
              src="{{pokemonSeleccionado['detalle']['sprites']['back_female']}}">
            <img class="imgRedonda" *ngIf="pokemonSeleccionado['detalle']['sprites']['back_shiny']!= null"
              src="{{pokemonSeleccionado['detalle']['sprites']['back_shiny']}}">
            <img class="imgRedonda" *ngIf="pokemonSeleccionado['detalle']['sprites']['back_shiny_female']!= null"
              src="{{pokemonSeleccionado['detalle']['sprites']['back_shiny_female']}}">
            <img class="imgRedonda" *ngIf="pokemonSeleccionado['detalle']['sprites']['front_default']!= null"
              src="{{pokemonSeleccionado['detalle']['sprites']['front_default']}}">
            <img class="imgRedonda" *ngIf="pokemonSeleccionado['detalle']['sprites']['front_female']!= null"
              src="{{pokemonSeleccionado['detalle']['sprites']['front_female']}}">
            <img class="imgRedonda" *ngIf="pokemonSeleccionado['detalle']['sprites']['front_shiny']!= null"
              src="{{pokemonSeleccionado['detalle']['sprites']['front_shiny']}}">
            <img class="imgRedonda" *ngIf="pokemonSeleccionado['detalle']['sprites']['front_shiny_female']!= null"
              src="{{pokemonSeleccionado['detalle']['sprites']['front_shiny_female']}}">
          </b>

        </span>
        <br>
        <span><b>Movimientos</b> <br>
          <b *ngFor="let move of pokemonSeleccionado['detalle']['moves']" style=" font-weight:normal">
            {{move['move']['name']}}, </b>
        </span>

      </div>
    </div>
  </div>
</div>